#include "led.h"

CRGB leds[NUM_LEDS];
int base = 0, clr = 0;
int spd = 1, gap = 255/NUM_LEDS; 

void LED_Init(void)
{
  FastLED.addLeds<WS2812, LED_PIN, GRB>(leds, NUM_LEDS);
  FastLED.setBrightness(20);  //可以设置全局亮度，调低亮度不刺眼
}


void LED_circle(int spd)
{
  for (int i = 0; i < NUM_LEDS; i++) {
    clr = (base + (i * gap))% 255;
    leds[i] = CHSV(clr, 255, 255); //用HSV色彩空间，不断改变H即可
    FastLED.show();
  }
  base = (base + spd) % 255;
}
