#include "oled.h"

//iic驱动方式
U8G2_SSD1306_128X64_NONAME_1_SW_I2C u8g2(U8G2_R0, /* clock=*/ 22, /* data=*/ 21, /* reset=*/ U8X8_PIN_NONE);   

//初始化
void oled_Init()
{
    u8g2.begin();
    u8g2.setFont(u8g2_font_ncenB08_tr);	// choose a suitable font
}


void oled_ShowADC(int adc)
{
    // u8g2.clearBuffer();		// clear the internal memory
    char str[10];
    sprintf(str,"%d",adc);
    // u8g2.drawStr(0,0,str); 	// write something to the internal memory
}

void oled_ShowTime(int h, int m, int s)
{
    char hour[4], minute[4], second[4];
    sprintf(hour, "%d", h);
    sprintf(minute, "%d", m);
    sprintf(second, "%d", s);
    u8g2.drawStr(0,8,hour); 	// write something to the internal memory
    u8g2.drawStr(16,8,minute);
    u8g2.drawStr(32,8,second);
}

void oled_refresh() {
    u8g2.sendBuffer();		// transfer internal memory to the display
    u8g2.clearBuffer();		// clear the internal memory
}
